* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

/*
 * -- BASE STYLES --
 * Most of these are inherited from Base, but I want to change a few.
 */
body {
    line-height: 1.7em;
    color: #00171f;
    font-size: 20px;
    text-align: center;
}

h1,
h2,
h3,
h4,
h5,
h6,
label {
    color: #34495e;
}

.pure-img-responsive {
    max-width: 100%;
    height: auto;
}

/*
 * -- LAYOUT STYLES --
 * These are some useful classes which I will need
 */
.l-box {
    padding: 1em;
}

.l-box-lrg {
    padding: 2em;
    border-bottom: 1px solid rgba(0,0,0,0.1);
}

.is-center {
    text-align: center;
    justify-content: center;
    align-items: center;
}

.center {
    justify-content: center;
}

/*
    displays border bottom line as optical spacer
*/
.l-horizontal {
    border-bottom: 1px solid #000
}


/*
 * -- PURE BUTTON STYLES --
 * I want my pure-button elements to look a little different
 */

.pure-button, .pure-button-small {
    background-color: #1f8dd6;
    color: white;
    border-radius: 5px;
    border: none;
    white-space: normal;
}

.pure-button {
    padding: 0.5em 2em;
    margin: 0.1em;
}

.pure-button-small{
    font-size: 80%;
    padding: 0.25em 1em;
    line-height: normal;
}

a.pure-button-primary {
    background: white;
    color: #1f8dd6;
    border-radius: 5px;
    font-size: 120%;
}

/* 
 * -- Content Style -- 
 * Styles the Event and Link section, lefthand of the content
 */


/* diplays date in line */
.right-side br{
    display: none;
}

.right-side{
    text-align: center;
    margin-top: -2em;
}

/* Displays the blue line in md and lg*/
@media screen and (min-width: 48em) {
    .right-side {
        border-left: 1px solid #004777;
        text-align: left;
        margin-top: 0;
    }
    .right-side br{
    display: block;
    }
}


/*
 * -- CONTENT STYLES --
 * This represents the content area (everything below the blue section)
 */
.content-wrapper{
    position: absolute;
    top: 3em;
    width: 100%;
    z-index: 2;
    background: white;

}

/* We want to give the content area some more padding */
.content {
    padding: 1em 0em 1em 0em;
}

/* This is the class used for the main content headers (<h2>) */
.content-head {
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    margin: 1em 0 1em;
    color: #03a8d9;
    overflow-wrap: break-word;
}

/* This is a modifier class used when the content-head is inside a ribbon */
.content-head-ribbon {
    color: white;
    margin-top: 0em;
}

/* This is the class used for the content sub-headers (<h3>) */
.content-subhead {
    color: #03a8d9;
}

.content-subhead i {
    margin-right: 7px;
}

/* This is the class used for the dark-background areas. */
.ribbon {
    background: #004777;
    color: #aaa;
}

.no-left-padding, .no-left-padding-lrg{
    padding-top: 0px;
}

/* This is the class used for the members names to keep inline with their images. */
.member-head{
    margin: 0px;
    padding-left: 0px;
}
/* This is the class used to highlight leaders in the committee */
.add-bottom-right-shadow{
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
/* This is the class used to highlight leaders in the committee */
.committee-card{
    margin: 0em;
}
.committee-img{
    max-width: 100%;
    height: 6.5em;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}


/* -------- Upcoming -------- */
/* This class and part is used to Display the small cards in the Event Ribbon, displasying upcoming Events in a certain category */
.upcoming-card{
    background: #00508a;
    color: #aaa;
    height:100%;
    margin: 3px 2px 3px 2px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    display: block;
    overflow: hidden;
}

.upcoming-card p{
    margin: 0.5em 0 0 0;
    text-align: left;
}

.upcoming-card h4{
    vertical-align: bottom;
    margin: 0;
}

.upcoming-card:hover{
    background: #004777;
}

.upcoming-head{
    text-align: center;
    margin: 0px;
    padding-bottom: 1em;
}

i.upcoming-calendar{
    font-size: 2em;
    color: white;
}
hr{
    height: 1px;
    margin: 0px 0px 0px 0px;
    border: none;
    background-color: rgba(0, 71, 119, 0.8);
    background: linear-gradient(left,  rgba(0, 71, 119, 0) 16%, rgba(0, 71, 119, 1) 33%, rgba(0, 71, 119, 1) 66%, rgba(0, 71, 119, 0) 84%); /* W3C */
    background: -webkit-linear-gradient(left,  rgba(0, 71, 119, 0) 16%, rgba(0, 71, 119, 1) 33%, rgba(0, 71, 119, 1) 66%, rgba(0, 71, 119, 0) 84%); /* Chrome10+,Safari5.1+ */
}
.ribbon hr{
    height: 1px;
    margin: 0px 0px 0px 0px;
    border: none;
    background-color: rgba(0, 255, 255, 0.8);
    background: linear-gradient(left,  rgba(255, 255, 255, 0) 25%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 75%); /* W3C */
    background: -webkit-linear-gradient(left,  rgba(255, 255, 255, 0) 25%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 75%); /* Chrome10+,Safari5.1+ */
}

/* ---------------- */

.ribbon img{
    max-height: 10em;
    max-width: 100%;
    margin: auto;
    overflow: hidden;
}

/* This is the class used for the footer */
.footer {
    background: #00171f;
    position: relative;
    bottom: 0px;
    margin-bottom: 0px;
    width: 100%;
}

/*
 * -- TABLET (AND UP) MEDIA QUERIES --
 * On tablets and other medium-sized devices, we want to customize some
 * of the mobile styles.
 */
@media (min-width: 48em) {

    /* We increase the body font size */
    body {
        font-size: 16px;
        text-align: justify;
    }


    /* We remove the border-separator assigned to .l-box-lrg */
    .l-box-lrg {
        border: none;
    }

    .add-padding{
        padding: 2em;
    }

    .no-left-padding{
        padding-top: 1em;
        padding-left: 0px;
    }

    .no-left-padding-lrg{
        padding-top: 2em;
        padding-left: 0px;
    }
    
    /* This is the class used to highlight leaders in the committee */
    .committee-card{
        margin: 0em 1.5em;
    }

}


a{
	text-decoration: none;
	color: #03a8d9;
}


@keyframes expand {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.expandable{
    width: 100%;
    display: none;
    opacity: 0;
}

.expanded{
    display: block;
    opacity: 1;
    animation: expand 0.5s ease-in-out;
}